<!-- The following is include from krpano.inc Please modify at need! -->
  <control mouse='moveto' />
<!-- the contextmenu -->
  <contextmenu fullscreen="true" versioninfo="true">
    <item name="kr" caption="KRPANO"     />
    <item name="fs" caption="FULLSCREEN" />
    <item name="cc" caption="Change Controlmode" onclick="cm_changecontrolmode();"  separator="true" />
    <item name="nv" caption="Normal View"        onclick="cm_normal_view();"        showif="view.vlookatrange == 180" separator="true"      />
    <item name="fv" caption="Fisheye View"       onclick="cm_fisheye_view();"       showif="view.vlookatrange == 180" devices="flash|webgl" />
    <item name="sv" caption="Stereographic View" onclick="cm_stereographic_view();" showif="view.vlookatrange == 180" devices="flash|webgl" />
    <item name="av" caption="Architectural View" onclick="cm_architectural_view();" showif="view.vlookatrange == 180"                       />
    <item name="pv" caption="Pannini View"       onclick="cm_pannini_view();"       showif="view.vlookatrange == 180" devices="flash|webgl" />
    <item name="lp" caption="Little Planet View" onclick="cm_littleplanet_view();"  showif="view.vlookatrange == 180" devices="flash|webgl" />
  </contextmenu>


  <action name="cm_changecontrolmode">
    switch(control.mouse, moveto, drag);
    switch(control.touch, moveto, drag);
  </action>

  <action name="cm_look_straight">
    if(view.vlookat LT -80 OR view.vlookat GT +80,
      tween(view.vlookat, 0.0, 1.0, easeInOutSine);
      tween(view.fov,     100, distance(150,0.8));
      );
  </action>

  <action name="cm_normal_view">
    cm_look_straight();
    tween(view.architectural, 0.0, distance(1.0,0.5));
    tween(view.pannini,       0.0, distance(1.0,0.5));
    tween(view.fisheye,       0.0, distance(1.0,0.5));
    tween(view.fov,           get(origfov), distance(150,0.8));
    tween(view.fovmax,        get(origfovmax), distance(150,0.8));
  </action>

  <action name="cm_architectural_view">
    cm_look_straight();
    tween(view.architectural, 1.0, distance(1.0,0.5));
    tween(view.pannini,       0.0, distance(1.0,0.5));
    tween(view.fisheye,       0.0, distance(1.0,0.5));
  </action>

  <action name="cm_fisheye_view">
    cm_look_straight();
    tween(view.architectural, 0.0,  distance(1.0,0.5));
    tween(view.pannini,       0.0,  distance(1.0,0.5));
    tween(view.fisheye,       0.35, distance(1.0,0.5));
  </action>

  <action name="cm_stereographic_view">
    cm_look_straight();
    tween(view.architectural, 0.0, distance(1.0,0.5));
    tween(view.pannini,       0.0, distance(1.0,0.5));
    tween(view.fisheye,       1.0, distance(1.0,0.8));
  </action>

  <action name="cm_pannini_view">
    cm_look_straight();
    tween(view.architectural, 0.0, distance(1.0,0.5));
    tween(view.pannini,       1.0, distance(1.0,0.8));
    if(view.fisheye LT 0.1,
      tween(view.fisheye, 1.0, distance(1.0,0.8));
      );
  </action>

  <action name="cm_littleplanet_view">
    tween(view.architectural, 0.0, distance(1.0,0.5));
    tween(view.pannini,       0.0, distance(1.0,0.5));
    tween(view.fisheye,       1.0, distance(1.0,0.8));
    tween(view.fov,           150, distance(150,0.8));
    tween(view.fovmax,        150, distance(150,0.8));
    tween(view.vlookat,        90, distance(100,0.8));
    add(new_hlookat, view.hlookat, 123.0);
    tween(view.hlookat, get(new_hlookat), distance(100,0.8));
  </action>
<!-- End of krpano.inc inclusion -->